/*ScianMenus.h
  Eric Pepke
  August 8, 1993

  Public stuff for ScianMenus.c
*/

extern ObjPtr mainMenu, objectMenu, datasetsMenu, fileMenu,
	 arrangeMenu, networkMenu, deusMenu, windowMenu, animationMenu,
	 locationMenu, tileMenu, textMenu, fontMenu, fontSizeMenu, alignMenu,
	 colorMenu, colorModelMenu, hiddenMenu;

extern ObjPtr actionClass;		/*Action class so that modules can customize actions*/

#ifdef PROTO
void InitMenus(void);
void KillMenus(void);
ObjPtr NewMenu(char *name);
void AddMenuItem(ObjPtr menu, ObjPtr action, int group);
ObjPtr NewSimpleAction(char *name, FuncTyp actionMethod);
ObjPtr NewAction(char *name, ObjPtr class);
void DoMenu(ObjPtr menu, int x, int y);
void EmitMenuDoc(void);
void DefineFunctionKey(int key, int flags, char *actionName);
Bool DoFunctionKey(int key, int flags);
#else
void InitMenus();
void KillMenus();
ObjPtr NewMenu();
void AddMenuItem();
ObjPtr NewSimpleAction();
ObjPtr NewAction();
void DoMenu();
void EmitMenuDoc();
void DefineFunctionKey();
Bool DoFunctionKey();
#endif
